#include <libint2.h>
#include <HRRPart0bra0ket0dd.h>
#include <HRRPart0bra0ket0df.h>
#include <HRRPart0bra0ket0dp.h>
#include <HRRPart0bra0ket0fd.h>
#include <HRRPart0bra0ket0fp.h>
#include <HRRPart0bra0ket0gp.h>
#include <HRRPart0bra0ket0pd.h>
#include <HRRPart0bra0ket0pf.h>
#include <HRRPart0bra0ket0pg.h>
#include <HRRPart0bra0ket0pp.h>
#include <HRRPart0bra0ket0sd.h>
#include <HRRPart0bra0ket0sf.h>
#include <HRRPart0bra0ket0sg.h>
#include <HRRPart0bra0ket0sh.h>
#include <HRRPart0bra0ket0sp.h>
#include <_elecpot_S_H_prereq.h>

#ifdef __cplusplus
extern "C" {
#endif
void _elecpot_S_H(const Libint_t* inteval) {

_libint2_static_api_bzero_short_(inteval->stack+0*1,56)
const int contrdepth = inteval->contrdepth;
#ifdef __INTEL_COMPILER
#pragma ivdep
#endif
for(int c = 0; c<contrdepth; c++) {
_elecpot_S_H_prereq(inteval+c, inteval->stack);
}

LIBINT2_REALTYPE*const  stack = inteval->stack;
{
const int hsi = 0;
{
const int lsi = 0;
{
const int vi = 0;
HRRPart0bra0ket0pp(inteval, &(inteval->stack[((hsi*9+77)*1+lsi)*1]), &(inteval->stack[((hsi*6+46)*1+lsi)*1]), &(inteval->stack[((hsi*3+52)*1+lsi)*1]),1);
HRRPart0bra0ket0dp(inteval, &(inteval->stack[((hsi*18+86)*1+lsi)*1]), &(inteval->stack[((hsi*10+36)*1+lsi)*1]), &(inteval->stack[((hsi*6+46)*1+lsi)*1]),1);
HRRPart0bra0ket0pd(inteval, &(inteval->stack[((hsi*18+104)*1+lsi)*1]), &(inteval->stack[((hsi*18+86)*1+lsi)*1]), &(inteval->stack[((hsi*9+77)*1+lsi)*1]),1);
HRRPart0bra0ket0fp(inteval, &(inteval->stack[((hsi*30+122)*1+lsi)*1]), &(inteval->stack[((hsi*15+21)*1+lsi)*1]), &(inteval->stack[((hsi*10+36)*1+lsi)*1]),1);
HRRPart0bra0ket0dd(inteval, &(inteval->stack[((hsi*36+152)*1+lsi)*1]), &(inteval->stack[((hsi*30+122)*1+lsi)*1]), &(inteval->stack[((hsi*18+86)*1+lsi)*1]),1);
HRRPart0bra0ket0pf(inteval, &(inteval->stack[((hsi*30+188)*1+lsi)*1]), &(inteval->stack[((hsi*36+152)*1+lsi)*1]), &(inteval->stack[((hsi*18+104)*1+lsi)*1]),1);
HRRPart0bra0ket0sp(inteval, &(inteval->stack[((hsi*3+86)*1+lsi)*1]), &(inteval->stack[((hsi*3+52)*1+lsi)*1]), &(inteval->stack[((hsi*1+55)*1+lsi)*1]),1);
HRRPart0bra0ket0sd(inteval, &(inteval->stack[((hsi*6+36)*1+lsi)*1]), &(inteval->stack[((hsi*9+77)*1+lsi)*1]), &(inteval->stack[((hsi*3+86)*1+lsi)*1]),1);
HRRPart0bra0ket0sf(inteval, &(inteval->stack[((hsi*10+77)*1+lsi)*1]), &(inteval->stack[((hsi*18+104)*1+lsi)*1]), &(inteval->stack[((hsi*6+36)*1+lsi)*1]),1);
HRRPart0bra0ket0sg(inteval, &(inteval->stack[((hsi*15+87)*1+lsi)*1]), &(inteval->stack[((hsi*30+188)*1+lsi)*1]), &(inteval->stack[((hsi*10+77)*1+lsi)*1]),1);
HRRPart0bra0ket0gp(inteval, &(inteval->stack[((hsi*45+218)*1+lsi)*1]), &(inteval->stack[((hsi*21+0)*1+lsi)*1]), &(inteval->stack[((hsi*15+21)*1+lsi)*1]),1);
HRRPart0bra0ket0fd(inteval, &(inteval->stack[((hsi*60+263)*1+lsi)*1]), &(inteval->stack[((hsi*45+218)*1+lsi)*1]), &(inteval->stack[((hsi*30+122)*1+lsi)*1]),1);
HRRPart0bra0ket0df(inteval, &(inteval->stack[((hsi*60+323)*1+lsi)*1]), &(inteval->stack[((hsi*60+263)*1+lsi)*1]), &(inteval->stack[((hsi*36+152)*1+lsi)*1]),1);
HRRPart0bra0ket0pg(inteval, &(inteval->stack[((hsi*45+218)*1+lsi)*1]), &(inteval->stack[((hsi*60+323)*1+lsi)*1]), &(inteval->stack[((hsi*30+188)*1+lsi)*1]),1);
HRRPart0bra0ket0sh(inteval, &(inteval->stack[((hsi*21+56)*1+lsi)*1]), &(inteval->stack[((hsi*45+218)*1+lsi)*1]), &(inteval->stack[((hsi*15+87)*1+lsi)*1]),1);
}
}
}
const int hsi = 0;
const int lsi = 0;
const int vi = 0;
inteval->targets[0] = &(inteval->stack[((hsi*21+56)*1+lsi)*1]);
/** Number of flops = 0 */
}

#ifdef __cplusplus
};
#endif
